petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDualSpaceTransformGradient

Transform the function gradient values

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceTransformGradient(PetscDualSpace dsp, PetscDualSpaceTransformType trans, PetscBool isInverse, PetscFEGeom *fegeom, PetscInt Nv, PetscInt Nc, PetscScalar vals[])

### Input Parameters

| dsp | - The PetscDualSpace
| trans | - The type of transform
| isInverse | - Flag to invert the transform
| fegeom | - The cell geometry
| Nv | - The number of function gradient samples
| Nc | - The number of function components
| vals | - The function gradient values

### Output Parameter

vals -The transformed function values

### See Also

PetscDualSpaceTransform(), PetscDualSpacePullback(), PetscDualSpacePushforward(), PetscDualSpaceTransformType

### Level

intermediate

### Location

src/dm/dt/dualspace/interface/dualspace.c
Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages